package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_board_title")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class BoardTitleDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * null
     */
    @Column(name = "his_part_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisPartKeyval;
    /**
     * null
     */
    @Column(name = "his_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisKeyval;
    /**
     * null
     */
    @Column(name = "board_index")
    @ApiModelProperty(value = "null", required = false)
    private Integer boardIndex;
    /**
     * null
     */
    @Column(name = "board_title")
    @ApiModelProperty(value = "null", required = false)
    private String boardTitle;
    /**
     * null
     */
    @Column(name = "board_col_qty")
    @ApiModelProperty(value = "null", required = false)
    private Integer boardColQty;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public String getHisPartKeyval() {
        return hisPartKeyval;
    }

    public void setHisPartKeyval(String hisPartKeyval) {
        this.hisPartKeyval = hisPartKeyval;
    }


    public String getHisKeyval() {
        return hisKeyval;
    }

    public void setHisKeyval(String hisKeyval) {
        this.hisKeyval = hisKeyval;
    }


    public Integer getBoardIndex() {
        return boardIndex;
    }

    public void setBoardIndex(Integer boardIndex) {
        this.boardIndex = boardIndex;
    }


    public String getBoardTitle() {
        return boardTitle;
    }

    public void setBoardTitle(String boardTitle) {
        this.boardTitle = boardTitle;
    }


    public Integer getBoardColQty() {
        return boardColQty;
    }

    public void setBoardColQty(Integer boardColQty) {
        this.boardColQty = boardColQty;
    }

}
